Bug 1388609 - [abrt] abiword: AP_UnixApp::catchSignals(): abiword killed by SIGABRT
Summary: [abrt] abiword: AP_UnixApp::catchSignals(): abiword killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abiword
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marc Maurer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:691a245aeb811a1fb9f35475862...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-25 18:22 UTC by RJ
Modified: 2016-12-20 17:21 UTC (History)
3 users (show)

Fixed In Version: abiword-3.0.2-3.fc24 abiword-3.0.2-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 06:23:31 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (48.96 KB, text/plain)
2016-10-25 18:22 UTC, RJ
no flags Details
File: cgroup (242 bytes, text/plain)
2016-10-25 18:22 UTC, RJ
no flags Details
File: core_backtrace (15.67 KB, text/plain)
2016-10-25 18:22 UTC, RJ
no flags Details
File: dso_list (18.71 KB, text/plain)
2016-10-25 18:22 UTC, RJ
no flags Details
File: environ (1.55 KB, text/plain)
2016-10-25 18:22 UTC, RJ
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-25 18:22 UTC, RJ
no flags Details
File: maps (86.83 KB, text/plain)
2016-10-25 18:22 UTC, RJ
no flags Details
File: mountinfo (3.40 KB, text/plain)
2016-10-25 18:22 UTC, RJ
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-25 18:22 UTC, RJ
no flags Details
File: open_fds (1.05 KB, text/plain)
2016-10-25 18:22 UTC, RJ
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-10-25 18:22 UTC, RJ
no flags Details
File: var_log_messages (309 bytes, text/plain)
2016-10-25 18:22 UTC, RJ
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Abisource 13823 0 None None None Never

Description RJ 2016-10-25 18:22:08 UTC
Description of problem:
Tried to open odt document

Version-Release number of selected component:
abiword-3.0.1-12.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/abiword
crash_function: AP_UnixApp::catchSignals
executable:     /usr/bin/abiword
global_pid:     5659
kernel:         4.8.3-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 AP_UnixApp::catchSignals at ap_UnixApp.cpp:1569
 #3 signalWrapper at ap_UnixApp.cpp:1512
 #5 fp_VerticalContainer::getScreenOffsets at fp_Column.cpp:684
 #6 fp_VerticalContainer::getScreenRect at fp_Column.cpp:554
 #7 fp_VerticalContainer::markDirtyOverlappingRuns at fp_Column.cpp:568
 #10 fp_Page::markDirtyOverlappingRuns at fp_Page.cpp:2923
 #11 fp_Page::removeFrameContainer at fp_Page.cpp:3043
 #12 fp_FrameContainer::setPage at fp_FrameContainer.cpp:85
 #13 fp_Page::insertFrameContainer at fp_Page.cpp:3034
 #14 fl_BlockLayout::setFramesOnPage at fl_BlockLayout.cpp:2592

Potential duplicate: bug 1288847

Comment 1 RJ 2016-10-25 18:22:16 UTC
Created attachment 1214032 [details]
File: backtrace

Comment 2 RJ 2016-10-25 18:22:18 UTC
Created attachment 1214033 [details]
File: cgroup

Comment 3 RJ 2016-10-25 18:22:20 UTC
Created attachment 1214034 [details]
File: core_backtrace

Comment 4 RJ 2016-10-25 18:22:24 UTC
Created attachment 1214035 [details]
File: dso_list

Comment 5 RJ 2016-10-25 18:22:25 UTC
Created attachment 1214036 [details]
File: environ

Comment 6 RJ 2016-10-25 18:22:27 UTC
Created attachment 1214037 [details]
File: limits

Comment 7 RJ 2016-10-25 18:22:30 UTC
Created attachment 1214038 [details]
File: maps

Comment 8 RJ 2016-10-25 18:22:32 UTC
Created attachment 1214039 [details]
File: mountinfo

Comment 9 RJ 2016-10-25 18:22:33 UTC
Created attachment 1214040 [details]
File: namespaces

Comment 10 RJ 2016-10-25 18:22:35 UTC
Created attachment 1214041 [details]
File: open_fds

Comment 11 RJ 2016-10-25 18:22:36 UTC
Created attachment 1214042 [details]
File: proc_pid_status

Comment 12 RJ 2016-10-25 18:22:38 UTC
Created attachment 1214043 [details]
File: var_log_messages

Comment 14 RJ 2016-10-30 20:38:25 UTC
Similar problem has been detected:

Try to open thi document https://www.metro-cc.ru/-/media/RU-Metro/document/customer-document/doverennost_IP.doc?la=ru-RU

reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/abiword '/home/sniper/\xd0\x97\xd0\xb0\xd0\xb3\xd1\x80\xd1\x83\xd0\xb7\xd0\xba\xd0\xb8/doverennost_IP.doc'
crash_function: AP_UnixApp::catchSignals
executable:     /usr/bin/abiword
global_pid:     4374
kernel:         4.8.4-301.fc25.x86_64
package:        abiword-3.0.1-12.fc25
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
reason:         abiword killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Fedora Update System 2016-11-30 02:37:31 UTC
abiword-3.0.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d2e43d0928

Comment 16 Fedora Update System 2016-11-30 02:38:24 UTC
abiword-3.0.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ea95a6a39f

Comment 17 Fedora Update System 2016-11-30 08:18:31 UTC
abiword-3.0.2-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-673afe7e75

Comment 18 Fedora Update System 2016-11-30 08:19:15 UTC
abiword-3.0.2-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-564152f164

Comment 19 Fedora Update System 2016-12-03 04:33:06 UTC
abiword-3.0.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-564152f164

Comment 20 Fedora Update System 2016-12-03 05:40:06 UTC
abiword-3.0.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-673afe7e75

Comment 21 Fedora Update System 2016-12-08 04:28:52 UTC
abiword-3.0.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbf1200ab

Comment 22 Fedora Update System 2016-12-08 04:29:51 UTC
abiword-3.0.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca183cdc57

Comment 23 Fedora Update System 2016-12-08 19:24:24 UTC
abiword-3.0.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ffbf1200ab

Comment 24 Fedora Update System 2016-12-08 19:26:20 UTC
abiword-3.0.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ca183cdc57

Comment 25 Fedora Update System 2016-12-20 06:23:31 UTC
abiword-3.0.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2016-12-20 17:21:15 UTC
abiword-3.0.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.